<?php

namespace App;

use Illuminate\Database\Eloquent\Model;


/**
 * DB:      FLUX/WMS_USER
 * TABLE:   ACT_TRANSACTION_LOG
 * EXPLAIN: 库存事务
 */
use App\Traits\ModelLogChanging;

class OracleActTransactionLog extends Model
{
    use ModelLogChanging;

    protected $connection="oracle";
    protected $table="ACT_TRANSACTION_LOG";
    /*
     * column:  FMLotNum  FMSKU  ADDTIME TOCustomerID TOQty_Each FMQty_Each TransactionType TOLocation
     * */

    function oracleBasCustomer(){
        return $this->hasOne('App\OracleBasCustomer','customerid','tocustomerid');
    }
    function oracleBasSku(){
        return $this->hasOne('App\OracleBasSKU','sku','fmsku');
    }
    function oracleInvLotAtt(){
        return $this->hasOne('App\OracleInvLotAtt','lotnum','fmlotnum');
    }
}
